#
# spec file for package poster (Version 20020826)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         poster
Copyright:    GNU GPL
Group:        Applications/Publishing
#Provides:
#Requires:
Autoreqprov:  on
Version:      20020826
Release:      3
Summary:      Tool for printing posters over multiple pages
Source:       poster.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This program scales a PostScript page to a given size (a poster).
The output can be tiled on multiple sheets, and output
media size can be chosen independently.
Each tile (sheet) of a will bear cropmarks and slightly overlapping
image for easier poster assembly.
In principle it requires the input file to adhere to 'eps'
(encapsulated postscript) conventions but it will work for many
'normal' postscript files as well.

Authors:
--------
    Jos T.J. van Eijndhoven <J.T.J.v.Eijndhoven@ele.tue.nl>

SuSE series: ap

%prep
%setup -n poster

%build
    make

%install
	mkdir -p		${RPM_BUILD_ROOT}/usr/bin
	install -m 0755 poster	${RPM_BUILD_ROOT}/usr/bin/
	mkdir -p		${RPM_BUILD_ROOT}%{_mandir}/man1
	install -s poster.1	${RPM_BUILD_ROOT}%{_mandir}/man1/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README COPYING ChangeLog manual.ps
%doc %{_mandir}/man1/poster.1.gz
/usr/bin/poster

%changelog -n poster
* Tue May 13 2003 - jreuter@suse.de
- update to version 20020826 (Bugzilla #25882), changes according
  to upstream ChangeLog:
- addition of "fake" option for KDEprint
- allows selection of tile pages to print
- replaces gets() with fgets()
- allows input from STDIN now
- allows poster printing of more than one page
* Mon Feb 26 2001 - bjacke@suse.de
- initial build
